Gecode::Int::Arithmetic::AbsDom< View > Class Template Reference
Other available functionality » Integer propagators

Domain consistent absolute value propagator. More...

`#include <arithmetic.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::BinaryPropagator< View, PC_INT_DOM >
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View x0, View x1)
| Post domain consistent propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| AbsDom (Space &home, AbsDom &p)
| Constructor for cloning p.
| AbsDom (Home home, View x0, View x1)
| Constructor for posting.
Protected Member Functions inherited from Gecode::BinaryPropagator< View, PC_INT_DOM >
| BinaryPropagator (Space &home, BinaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::BinaryPropagator< View, PC_INT_DOM >
View | x0
| Two views.
View | x1

## Detailed Description

template<class View>
class Gecode::Int::Arithmetic::AbsDom< View >

Domain consistent absolute value propagator.

Requires

#include <gecode/int/arithmetic.hh>
arithmetic.hh

Definition at line 92 of file arithmetic.hh.

## Constructor & Destructor Documentation

## AbsDom() [1/2]

template<class View>

Gecode::Int::Arithmetic::AbsDom< View >::AbsDom | ( | Space & | home,
|  | AbsDom< View > & | p )

protected

Constructor for cloning p.

## AbsDom() [2/2]

template<class View>

Gecode::Int::Arithmetic::AbsDom< View >::AbsDom | ( | Home | home,
|  | View | x0,
|  | View | x1 )

inline protected

Constructor for posting.

Definition at line 143 of file abs.hpp.

## Member Function Documentation

## copy()

template<class View>

Actor * Gecode::Int::Arithmetic::AbsDom< View >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 175 of file abs.hpp.

## cost()

template<class View>

PropCost Gecode::Int::Arithmetic::AbsDom< View >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function.

If a view has been assigned, the cost is low binary. If in stage for bounds propagation, the cost is low binary. Otherwise it is high binary.

Reimplemented from Gecode::BinaryPropagator< View, PC_INT_DOM >.

Definition at line 181 of file abs.hpp.

## propagate()

template<class View>

ExecStatus Gecode::Int::Arithmetic::AbsDom< View >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 191 of file abs.hpp.

## post()

template<class View>

ExecStatus Gecode::Int::Arithmetic::AbsDom< View >::post | ( | Home | home,
|  | View | x0,
|  | View | x1 )

static

Post domain consistent propagator .

Definition at line 148 of file abs.hpp.

The documentation for this class was generated from the following files:

- gecode/int/arithmetic.hh
- gecode/int/arithmetic/abs.hpp